<?php
/**
 * pragmaMx - Web Content Management System
 * Pinwand Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);
// $result = sql_query("SELECT `photo`, `id` FROM `recipes_recipes` WHERE `photo`<>''");
// while (list($photo, $id) = sql_fetch_row($result)) {
// echo '<img src="http://www.pewro.de/modules/Rezeptdatenbank/photos/' . $photo . '" /> ';
// }
// exit;
$new_rec = false;
if (!isset($tables["${prefix}_recipes"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_recipes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `recipename` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8_unicode_ci,
  `ingredients` mediumtext COLLATE utf8_unicode_ci,
  `directions` mediumtext COLLATE utf8_unicode_ci,
  `nutrition` mediumtext COLLATE utf8_unicode_ci,
  `tipps` mediumtext COLLATE utf8_unicode_ci,
  `cid` int(10) NOT NULL DEFAULT '0',
  `source` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `preptime` smallint(5) DEFAULT NULL,
  `cooktime` smallint(5) DEFAULT NULL,
  `difficulty` varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  `persons` tinyint(2) DEFAULT NULL,
  `contributer` varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  `photo` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `submittime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`),
  KEY `recipename` (`recipename`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=168 ;
";
    $new_rec = true;
} else {
    $tf = setupGetTableFields("${prefix}_recipes");
    switch (true) {
        case $tf['submittime']['Type'] != 'timestamp':
        case $tf['submittime']['Default'] != 'CURRENT_TIMESTAMP':
            /* vorher gültige Daten erzeugen, sonst Fehler:
             * Incorrect datetime value: '0000-00-00 00:00:00' for column '***' at....*/
            $sqlqry[] = "UPDATE `${prefix}_recipes` SET `submittime` = NOW( ) WHERE `submittime` LIKE '0000-00-00%'";
            $sqlqry[] = "ALTER TABLE `${prefix}_recipes`
                CHANGE `submittime` `submittime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
                ";
    }
}

$new_cat = false;
if (!isset($tables["${prefix}_recipes_categories"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_recipes_categories` (
  `cid` int(10) NOT NULL AUTO_INCREMENT,
  `catname` varchar(100) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`cid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ;";
    $new_cat = true;
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

$cats = array();

if ($new_rec && isset($tables["recipes_recipes"])) {
    $result = sql_query("SELECT DISTINCT `category` FROM `recipes_recipes` WHERE `category`<>''");
    while (list($cat) = sql_fetch_row($result)) {
        $cat = ($cat) ? $cat : 'no title';
        $cats[$cat] = 0;
    }
}
if ($new_rec && isset($tables["recipes_categories"])) {
    $result = sql_query("SELECT `id`, `category` FROM `recipes_categories` WHERE `category`<>''");
    while (list($id, $cat) = sql_fetch_row($result)) {
        $cat = ($cat) ? $cat : 'no title';
        $cats[$cat] = 0;
    }
}
if (!$new_cat) {
    $result = sql_query("SELECT `cid`, `catname` FROM `${prefix}_recipes_categories` WHERE `catname`<>''");
    while (list($id, $cat) = sql_fetch_row($result)) {
        $cats[$cat] = $id;
    }
}
if (_DOC_LANGUAGE == 'de' && ($new_rec || $new_cat) && !$cats) {
    $tmpcats = array('Auflauf', 'Brot', 'Dressings und Saucen', 'Eintopfgerichte', 'Fischgerichte', 'Fleischgerichte', 'Früchte', 'Frühstück', 'Gemüsegerichte', 'Getränke', 'Kartoffelgerichte', 'Kuchen und Gebäck', 'Mikrowellenrezepte', 'Pasta / Pastasaucen', 'Süßes u. Desserts', 'Salate', 'Snacks', 'Suppen', 'Weihnachtsgebäck');
    foreach ($tmpcats as $id => $cat) {
        $cats[$cat] = $id + 1;
    }
}

if (($new_rec || $new_cat) && $cats) {
    $qq = array();
    foreach ($cats as $cat => $id) {
        $qq[] = "(" . intval($id) . ", '" . addslashes($cat) . "')";
    }
    $sqlqry[] = "REPLACE INTO `${prefix}_recipes_categories` (`cid`, `catname`) VALUES " . implode(',', $qq) . ";";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

if ($new_rec && isset($tables["recipes_recipes"])) {
    /* Daten von evtl. alten Tabellen importieren */
    $sqlqry[] = "REPLACE INTO ${prefix}_recipes(`id`,`recipename`,`source`,`ingredients`,`directions`,`nutrition`,`tipps`,`preptime`,`cooktime`,`difficulty`,`contributer`,`photo`,`submittime`,`cid`)
                SELECT rec.id,rec.recipename,rec.source,rec.ingredients,rec.directions,rec.nutrition,rec.serves,rec.preptime,rec.cooktime,rec.difficulty,rec.contributer,rec.photo,rec.submittime,cat.cid
                FROM ( recipes_recipes AS rec
                LEFT JOIN `${prefix}_recipes_categories` AS cat ON rec.category = cat.catname )
                WHERE rec.recipename <> ''
                ORDER BY rec.id";

    if (isset($sqlqry)) {
        setupDoAllQueries($sqlqry);
        unset($sqlqry);
    }

    /* manche User hatten source zur Angabe der Personenzahl genutzt, hier konvertieren */
    $result = sql_query("SELECT `source`, `id` FROM `recipes_recipes` WHERE `source`<>''");
    while (list($source, $id) = sql_fetch_row($result)) {
        if (is_numeric($source)) {
            $sqlqry[] = "UPDATE `${prefix}_recipes` SET `persons`=" . intval($source) . ", `source`=''  WHERE `id`=" . intval($id);
        }
    }

    /* Kochzeiten in Minuten konvertieren */
    $result = sql_query("SELECT `preptime`, `id` FROM `recipes_recipes` WHERE `preptime` LIKE '%Std%'");
    while (list($preptime, $id) = sql_fetch_row($result)) {
        $sqlqry[] = "UPDATE `${prefix}_recipes` SET `preptime`=" . (intval($preptime) * 60) . "  WHERE `id`=" . intval($id);
    }
    $result = sql_query("SELECT `cooktime`, `id` FROM `recipes_recipes` WHERE `cooktime` LIKE '%Std%'");
    while (list($cooktime, $id) = sql_fetch_row($result)) {
        $sqlqry[] = "UPDATE `${prefix}_recipes` SET `cooktime`=" . (intval($cooktime) * 60) . "  WHERE `id`=" . intval($id);
    }

    /* difficulty konvertieren */
    $result = sql_query("SELECT `difficulty`, `id` FROM `recipes_recipes` WHERE `difficulty` LIKE '%nicht%'");
    $ids = array();
    while (list($difficulty, $id) = sql_fetch_row($result)) {
        $ids[] = $id;
    }
    if ($ids) {
        $sqlqry[] = "UPDATE `${prefix}_recipes` SET `difficulty`='schwer' WHERE `id` IN (" . implode(',', $ids) . ")";
    }

    if (isset($sqlqry)) {
        setupDoAllQueries($sqlqry);
        unset($sqlqry);
    }
}

$result = sql_query("SELECT `mid` FROM `${prefix}_modules` WHERE `title`='" . $modname . "'");
list($mid) = sql_fetch_row($result);
if (!$mid) {
    $sqlqry[] = "INSERT INTO `${prefix}_modules` (`title`, `custom_title`, `active`, `view`, `main_id`) VALUES ('" . $modname . "', '" . ucfirst($modname) . "', 0, 2,'')";
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}
// $sqlqry[] = "DROP TABLE IF EXISTS `${prefix}_recipes`;";
// $sqlqry[] = "DROP TABLE IF EXISTS `${prefix}_recipes_categories`;";
// if (isset($sqlqry)) {
// setupDoAllQueries($sqlqry);
// unset($sqlqry);
// }
// exit;

?>