<?php
/**
 * pragmaMx - Recipe Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 646 $
 * $Author: PragmaMx $
 * $Date: 2022-11-14 20:34:56 +0100 (Mo, 14. Nov 2022) $
 */

defined('mxMainFileLoaded') or die('access denied');

/* Modulname, wird als Überschrift auf allen Seiten verwendet */
$recipe_config['modtitle'] = "" . _REC_TITLE;

/* wer darf Rezepte eingeben, seine editieren und Bilder dazu hochladen?
 * - nur Admins = false
 * - Admins und alle angemeldeten User = true
 * - Admins und bestimmte Usergruppen = Array der Usergruppen-ID's z.B. array(3,12,8)
 */
$recipe_config['writeaccess'] = true;

/**
 * Administratorgruppen die das Modul administrieren dürfen
 * als Array(), Moegliche Eintraege sind:
 * radminarticle, radmintopic, radminuser, radminsurvey, radminsection, radminlink, radminephem,
 * radminfaq, radmindownload, radminreviews, radminnewsletter, radminforum, radmincontent, radminency
 */
$recipe_config['adminaccess'] = array('radmincontent', 'radminarticle');

/* max. Dateigroesse in bytes fuer Bildupload, 0 um den Bildupload zu deaktivieren */
$recipe_config['photomaxfilesize'] = 120000;

/* Pfad zu den Bildern des Bildupload
 * - ohne führenden Slash, ausgehend vom pragmaMx-root
 * - mit abschliessendem Slash!
 */
$recipe_config['photopath'] = 'modules/' . $this->_module_name . '/photos/';

/* Wysiwyg-wysiwyg zur Eingabe verwenden */
$recipe_config['use_wysiwyg'] = true;

/* rechte Blöcke anzeigen */
$recipe_config['right_blocks'] = false;

/* maximale Bildbreite für die 3 versch. Bildgrössen */
$recipe_config['photosizes'] = array(/* Dateinamen-Suffix und Bildgroesse */
    'big' => 500,
    'small' => 190,
    'mini' => 70,
    );

/* Beschreibung kürzen in der Listenansicht: 0=keine Kürzung */
$recipe_config['strip_desc'] = 100;

/* Mailversand auch für anonyme Besucher erlauben */
$recipe_config['anonym_mail'] = true;

/* Captcha beim Mailversand verwenden (nur anonyme) */
$recipe_config['captcha_mail'] = true;

?>
